package simulation;

import workerCode.Coord;
import workerCode.ProbMap;

public class Maps {
	
	private ProbMap mapA = new ProbMap(105, 105, 10, ProbMap.NO_OFFSET);
	private ProbMap mapB = new ProbMap(105, 105, 10, ProbMap.NO_OFFSET);
	
	public Maps(){
		//Make Map A
		for (int x = 20; x <= 80; x++){
			for (int y = 20; y <= 40; y++){
				mapA.cellSetBlockValue(new Coord(x,y), 1.0);
			}
		}
		
		for (int x = 60; x <= 80; x++){
			for (int y = 40; y <= 80; y++){
				mapA.cellSetBlockValue(new Coord(x,y), 1.0);
			}
		}
		
		for (int x = 10; x <= 20; x++){
			for (int y = 80; y <= 90; y++){
				mapA.cellSetBlockValue(new Coord(x,y), 1.0);
			}
		}
		
		//Make Map B
		for (int x = 0; x <= 20; x++){
			mapB.cellSetBlockValue(new Coord(x, 20), 1.0);
			mapB.cellSetBlockValue(new Coord(x, 21), 1.0);
		}
		for (int x = 30; x <= 40; x++){
			mapB.cellSetBlockValue(new Coord(x, 20), 1.0);
			mapB.cellSetBlockValue(new Coord(x, 21), 1.0);
		}
		for (int x = 60; x <= 104; x++){
			mapB.cellSetBlockValue(new Coord(x, 20), 1.0);
			mapB.cellSetBlockValue(new Coord(x, 21), 1.0);
		}
		for (int x = 0; x <= 40; x++){
			mapB.cellSetBlockValue(new Coord(x, 60), 1.0);
			mapB.cellSetBlockValue(new Coord(x, 59), 1.0);
		}
		for (int x = 60; x <= 104; x++){
			mapB.cellSetBlockValue(new Coord(x, 60), 1.0);
			mapB.cellSetBlockValue(new Coord(x, 59), 1.0);
		}
		
		for (int y = 50; y <= 60; y++){
			mapB.cellSetBlockValue(new Coord(40, y), 1.0);
			mapB.cellSetBlockValue(new Coord(39, y), 1.0);
		}
		for (int y = 20; y <= 40; y++){
			mapB.cellSetBlockValue(new Coord(40, y), 1.0);
			mapB.cellSetBlockValue(new Coord(39, y), 1.0);
		}
		for (int y = 80; y <= 104; y++){
			mapB.cellSetBlockValue(new Coord(40, y), 1.0);
			mapB.cellSetBlockValue(new Coord(39, y), 1.0);
		}
		for (int y = 60; y <= 70; y++){
			mapB.cellSetBlockValue(new Coord(60, y), 1.0);
			mapB.cellSetBlockValue(new Coord(61, y), 1.0);
		}
		for (int y = 80; y <= 104; y++){
			mapB.cellSetBlockValue(new Coord(60, y), 1.0);
			mapB.cellSetBlockValue(new Coord(61, y), 1.0);
		}
	}

	public void setMapA(ProbMap mapA) {
		this.mapA = mapA;
	}

	public ProbMap getMapA() {
		return mapA;
	}

	public void setMapB(ProbMap mapB) {
		this.mapB = mapB;
	}

	public ProbMap getMapB() {
		return mapB;
	}
}
