package simulation;

import workerCode.Coord;
import workerCode.ProbMap;
import communication.Comm;

public class SimulationParameters {

	//Needed for the creation of a simulation

	public static final int mapXSize =25;
	public static final int mapYSize = 15;
	public static final int mapCellSize = 10;
	public static final int simulationNumWorkers = 2;
	public static final int simulationNumScoutsPerWorker = 2;
	public static final int simulationDistanceConstant = 3;
	public static final int simulationCellsConstant = 1;
	
	//Needed for Robot Position
	public static final int initialOffsetFromZero = 30; //cm
	public static final int placementIncrement = 30; //cm
	
	//Needed for Setting Up Robots
	public static final int scoutMinRadius = 20;
	public static final int scoutMaxRadius = 75;
//	public static final int workerMinRadius = 2 * scoutMinRadius + 40;
	public static final int workerMaxRadius = Comm.MAX_RANGE;
	
	
	public static void blockPointsInMap(ProbMap simulationMap) {
//		simulationMap.cellSetBlockValue(new Coord(7,10), 100);
//		simulationMap.cellSetBlockValue(new Coord(8,10), 100);
//		simulationMap.cellSetBlockValue(new Coord(9,10), 100);
//		
//		simulationMap.cellSetBlockValue(new Coord(7,9), 100);
//		simulationMap.cellSetBlockValue(new Coord(9,9), 100);
//		
//		simulationMap.cellSetBlockValue(new Coord(7,8), 100);
//		simulationMap.cellSetBlockValue(new Coord(8,8), 100);
//		simulationMap.cellSetBlockValue(new Coord(9,8), 100);
		
		simulationMap.cellSetBlockValue(new Coord(0,10), 1);
		simulationMap.cellSetBlockValue(new Coord(1,10), 1);
		simulationMap.cellSetBlockValue(new Coord(2,10), 1);
		simulationMap.cellSetBlockValue(new Coord(3,10), 1);
		simulationMap.cellSetBlockValue(new Coord(4,10), 1);
		simulationMap.cellSetBlockValue(new Coord(5,10), 1);
		simulationMap.cellSetBlockValue(new Coord(6,10), 1);
		simulationMap.cellSetBlockValue(new Coord(7,10), 1);
		simulationMap.cellSetBlockValue(new Coord(8,10), 1);
		simulationMap.cellSetBlockValue(new Coord(9,10), 1);
		simulationMap.cellSetBlockValue(new Coord(10,10), 1);
		simulationMap.cellSetBlockValue(new Coord(11,10), 1);
		simulationMap.cellSetBlockValue(new Coord(12,10), 1);
		simulationMap.cellSetBlockValue(new Coord(13,10), 1);
		simulationMap.cellSetBlockValue(new Coord(14,10), 1);
		simulationMap.cellSetBlockValue(new Coord(15,10), 1);
		simulationMap.cellSetBlockValue(new Coord(16,10), 1);
		simulationMap.cellSetBlockValue(new Coord(17,10), 1);
		simulationMap.cellSetBlockValue(new Coord(18,10), 1);
		simulationMap.cellSetBlockValue(new Coord(19,10), 1);
		simulationMap.cellSetBlockValue(new Coord(20,10), 1);
		simulationMap.cellSetBlockValue(new Coord(21,10), 1);
		simulationMap.cellSetBlockValue(new Coord(22,10), 1);
		simulationMap.cellSetBlockValue(new Coord(23,10), 1);
		simulationMap.cellSetBlockValue(new Coord(24,10), 1);
		
	}
}
