/*
 * command.h
 *
 *  Created on: Dec 19, 2010
 *      Author: hsrmqp
 */

#ifndef COMMAND_H_
#define COMMAND_H_

#include <stdint.h>
#include "localization.h"

#define DEG_STEP 10 //the step size to scan when scanning a whole circle.
#define SCOUT_LED_ID 15u //led pattern to light up the scout with (1 S1, 3 S2, 7 S3, 15, S4)

void command_task(void* pd);
void scan(uint8_t radius);
void drivePath(coordinate_t* waypoints, uint8_t numWaypoints);
void requestInformationResponse();


#endif /* COMMAND_H_ */
