/*
 * serialize.h
 *
 *  Created on: Jan 10, 2011
 *      Author: Eric
 */

#ifndef SERIALIZE_H_
#define SERIALIZE_H_

#include <stdint.h>

uint8_t serializeInt8(uint8_t integer, uint8_t serialDataBuf[]);
uint8_t deSerializeInt8(uint8_t* integer, uint8_t serialData[]);
uint8_t serializeInt16(uint16_t integer, uint8_t serialDataBuf[]);
uint8_t deSerializeInt16(uint16_t* integer, uint8_t serialData[]);
uint8_t serializeInt32(uint32_t integer, uint8_t serialDataBuf[]);
uint8_t deSerializeInt32(uint32_t* integer, uint8_t serialData[]);
uint8_t serializeInt64(uint64_t integer, uint8_t serialDataBuf[]);
uint8_t deSerializeInt64(uint64_t* integer, uint8_t serialData[]);


#endif /* SERIALIZE_H_ */
