/*
 * general_timer.h
 *
 *  Created on: Dec 13, 2010
 *      Author: hsrmqp
 */

#ifndef SYSTEM_TIME_H_
#define SYSTEM_TIME_H_

#include <stdbool.h>
#include <stdint.h>
#include <uCOS-II/includes.h>

#define SYSTIME_ISR_PER_MS 10 //number of times the isr is called every ms

#define MS_PER_S 1000u       //1000ms in one second
#define US_PER_S 1000000u    //1000000us in one second

void system_time_ISR_handler(void);

uint64_t getTime_ms(void);
uint64_t getTime_us(void);


#endif /* SYSTEM_TIME_H_ */
