/*
 * main.c
 *
 *  Created on: Nov 16, 2010
 *      Author: hsrmqp
 */

//Includes
#include "includes.h"
#include "xmega128a1_board.h"
#include "xbee.h"
#include "command.h"
#include "locomotion.h"


int main(void){
   low_level_init();
   chip_level_init();

   OSInit();
   OSResourceInit();
   OSTaskCreate(xbee_receive_task, 0, &rx_remote_task_stack[RX_REMOTE_TASK_STACK_SIZE - 1], RX_REMOTE_TASK_PRIO);
   OSTaskCreate(command_task, 0, &command_task_stack[COMMAND_TASK_STACK_SIZE - 1], COMMAND_TASK_PRIO);
   OSTaskCreate(locomotion_task, 0, &locomotion_task_stack[LOCOMOTION_TASK_STACK_SIZE - 1], LOCOMOTION_TASK_PRIO);
   OSStart();

   //should never be reached
	return 0;
}
