/*
 * OS_Resources.h
 *
 *  Created on: Dec 16, 2010
 *      Author: hsrmqp
 */

#ifndef OS_RESOURCES_H_
#define OS_RESOURCES_H_

#include <ucos_ii.h>

extern OS_STK locomotion_task_stack[LOCOMOTION_TASK_STACK_SIZE];
extern OS_STK rx_remote_task_stack[RX_REMOTE_TASK_STACK_SIZE];
extern OS_STK command_task_stack[COMMAND_TASK_STACK_SIZE];

extern OS_MEM* small_mem;
extern OS_MEM* medium_mem;
extern OS_MEM* large_mem;

extern OS_EVENT* xbee_rx_data_sem;

extern OS_EVENT* current_pose_mutex;
extern OS_EVENT* setpoint_pose_mutex;

extern OS_EVENT* command_q;

extern OS_FLAG_GRP* locomotion_driving_flag;
extern OS_FLAG_GRP* xbee_tx_status_flag;


void OSResourceInit();


#endif /* OS_RESOURCES_H_ */
