/*
 * transformation_matrix.h
 *
 *  Created on: Dec 16, 2010
 *      Author: hsrmqp
 */

#ifndef TRANSFORMATION_MATRIX_H_
#define TRANSFORMATION_MATRIX_H_

#include "utils/matrix.h"

void tf_matrix_set(matrix_t* tfMatrix, float x_off, float y_off, float theta);
void tf_vector_set(matrix_t* tfVector, float x, float y);
float tf_vector_getx(matrix_t* tfVector);
float tf_vector_gety(matrix_t* tfVector);
void tf_transform(matrix_t* tfMatrix, matrix_t* inputVector, matrix_t* outputVector);
void tf_transform_chain(matrix_t** tfMatrixChain, matrix_t* inputVector, matrix_t* outputVector);


#endif /* TRANSFORMATION_MATRIX_H_ */
